Package com.independentsoft.office.word.fonts

# Class RunFonts

java.lang.Object
com.independentsoft.office.word.fonts.RunFonts

public class RunFonts extends Object
The Class RunFonts.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunFonts()`
  Instantiates a new run fonts.
  `RunFonts​(InternalXMLStreamReader reader)`
  Instantiates a new run fonts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RunFonts`
  `clone()`
  `String`
  `getAsciiFont()`
  Gets the ascii font.
  `ThemeFont`
  `getAsciiThemeFont()`
  Gets the ascii theme font.
  `String`
  `getComplexScriptFont()`
  Gets the complex script font.
  `ThemeFont`
  `getComplexScriptThemeFont()`
  Gets the complex script theme font.
  `String`
  `getEastAsiaFont()`
  Gets the east asia font.
  `ThemeFont`
  `getEastAsiaThemeFont()`
  Gets the east asia theme font.
  `FontTypeHint`
  `getFontTypeHint()`
  Gets the font type hint.
  `String`
  `getHighAnsiFont()`
  Gets the high ansi font.
  `ThemeFont`
  `getHighAnsiThemeFont()`
  Gets the high ansi theme font.
  `boolean`
  `isEmpty()`
  Checks if is empty.
  `void`
  `setAsciiFont​(String asciiFont)`
  Sets the ascii font.
  `void`
  `setAsciiThemeFont​(ThemeFont asciiThemeFont)`
  Sets the ascii theme font.
  `void`
  `setComplexScriptFont​(String complexScriptFont)`
  Sets the complex script font.
  `void`
  `setComplexScriptThemeFont​(ThemeFont complexScriptThemeFont)`
  Sets the complex script theme font.
  `void`
  `setEastAsiaFont​(String eastAsiaFont)`
  Sets the east asia font.
  `void`
  `setEastAsiaThemeFont​(ThemeFont eastAsiaThemeFont)`
  Sets the east asia theme font.
  `void`
  `setFontTypeHint​(FontTypeHint fontTypeHint)`
  Sets the font type hint.
  `void`
  `setHighAnsiFont​(String highAnsiFont)`
  Sets the high ansi font.
  `void`
  `setHighAnsiThemeFont​(ThemeFont highAnsiThemeFont)`
  Sets the high ansi theme font.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RunFonts

    public RunFonts()
    Instantiates a new run fonts.

  - ### RunFonts

    public RunFonts​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new run fonts.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public RunFonts clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public boolean isEmpty()
    Checks if is empty.
    Returns:
      true, if is empty

  - ### getAsciiFont

    public String getAsciiFont()
    Gets the ascii font.
    Returns:
      the ascii font

  - ### setAsciiFont

    public void setAsciiFont​(String asciiFont)
    Sets the ascii font.
    Parameters:
      `asciiFont` - the new ascii font

  - ### getAsciiThemeFont

    public ThemeFont getAsciiThemeFont()
    Gets the ascii theme font.
    Returns:
      the ascii theme font

  - ### setAsciiThemeFont

    public void setAsciiThemeFont​(ThemeFont asciiThemeFont)
    Sets the ascii theme font.
    Parameters:
      `asciiThemeFont` - the new ascii theme font

  - ### getComplexScriptFont

    public String getComplexScriptFont()
    Gets the complex script font.
    Returns:
      the complex script font

  - ### setComplexScriptFont

    public void setComplexScriptFont​(String complexScriptFont)
    Sets the complex script font.
    Parameters:
      `complexScriptFont` - the new complex script font

  - ### getComplexScriptThemeFont

    public ThemeFont getComplexScriptThemeFont()
    Gets the complex script theme font.
    Returns:
      the complex script theme font

  - ### setComplexScriptThemeFont

    public void setComplexScriptThemeFont​(ThemeFont complexScriptThemeFont)
    Sets the complex script theme font.
    Parameters:
      `complexScriptThemeFont` - the new complex script theme font

  - ### getEastAsiaFont

    public String getEastAsiaFont()
    Gets the east asia font.
    Returns:
      the east asia font

  - ### setEastAsiaFont

    public void setEastAsiaFont​(String eastAsiaFont)
    Sets the east asia font.
    Parameters:
      `eastAsiaFont` - the new east asia font

  - ### getEastAsiaThemeFont

    public ThemeFont getEastAsiaThemeFont()
    Gets the east asia theme font.
    Returns:
      the east asia theme font

  - ### setEastAsiaThemeFont

    public void setEastAsiaThemeFont​(ThemeFont eastAsiaThemeFont)
    Sets the east asia theme font.
    Parameters:
      `eastAsiaThemeFont` - the new east asia theme font

  - ### getHighAnsiFont

    public String getHighAnsiFont()
    Gets the high ansi font.
    Returns:
      the high ansi font

  - ### setHighAnsiFont

    public void setHighAnsiFont​(String highAnsiFont)
    Sets the high ansi font.
    Parameters:
      `highAnsiFont` - the new high ansi font

  - ### getHighAnsiThemeFont

    public ThemeFont getHighAnsiThemeFont()
    Gets the high ansi theme font.
    Returns:
      the high ansi theme font

  - ### setHighAnsiThemeFont

    public void setHighAnsiThemeFont​(ThemeFont highAnsiThemeFont)
    Sets the high ansi theme font.
    Parameters:
      `highAnsiThemeFont` - the new high ansi theme font

  - ### getFontTypeHint

    public FontTypeHint getFontTypeHint()
    Gets the font type hint.
    Returns:
      the font type hint

  - ### setFontTypeHint

    public void setFontTypeHint​(FontTypeHint fontTypeHint)
    Sets the font type hint.
    Parameters:
      `fontTypeHint` - the new font type hint